using UnityEngine;
using System.Collections;

public class Instantiate : MonoBehaviour 
{
	public Material material;

	// Use this for initialization
	void Start () 
	{
		GameObject sphere = GameObject.CreatePrimitive(PrimitiveType.Sphere);
		sphere.name = "Instantiated sphere";
		sphere.AddComponent<Revolving>();
		sphere.GetComponent<MeshRenderer>().material = material;
	}	
}
